#
#
#
########################################
# pkg-config
########################################
MESSAGE(STATUS "Checking for pkg-config")
MESSAGE(STATUS "***********************")

FIND_PACKAGE(PkgConfig REQUIRED)

MESSAGE(STATUS "Found pkg-config")

IF (VERBOSE)
	MESSAGE(STATUS "Path: ${PKG_CONFIG_EXECUTABLE}")
ENDIF (VERBOSE)

MESSAGE("")


########################################
# pthreads
########################################
MESSAGE(STATUS "Checking for pthreads")
MESSAGE(STATUS "*********************")

include(admCheckThreads)

IF(NOT PTHREAD_FOUND) # Can happen with VS
	FIND_LIBRARY(PTHREAD_LIBRARIES "winpthread" PATH ${VS_ROOT}/lib)
	IF(PTHREAD_LIBRARIES)
		MESSAGE(STATUS "Found winpthread as ${PTHREAD_LIBRARIES}")
		SET(PTHREAD_FOUND 1)
	ENDIF(PTHREAD_LIBRARIES)
ENDIF(NOT PTHREAD_FOUND)


PRINT_LIBRARY_INFO("pthreads" PTHREAD_FOUND "<${PTHREAD_INCLUDE_DIR}>" "<${PTHREAD_LIBRARIES}>" FATAL_ERROR)

MESSAGE("")

########################################
# zlib
########################################
MESSAGE(STATUS "Checking for zlib")
MESSAGE(STATUS "*****************")

FIND_PACKAGE(ZLIB)
PRINT_LIBRARY_INFO("zlib" ZLIB_FOUND "${ZLIB_INCLUDE_DIR}" "${ZLIB_LIBRARY}" FATAL_ERROR)

MESSAGE("")
